Bug 462443 - Shoutcast changed its web page format so the streamtuner plugin, shoutcast.so no longer parses the web page
Shoutcast changed its web page format so the streamtuner plugin, shoutcast.so...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: streamtuner (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Haase
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 07:46 EDT by Rick Sewill
Modified: 2008-09-24 20:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Sewill 2008-09-16 07:46:43 EDT
Shoutcast changed its web page format so the streamtuner plugin, shoutcast.so no longer parses the web page.

Steps to reproduce:
1) Run streamtuner.
2) go to the shoutcast tab.
3) Only the "Top Streams" and "Search" directory will be visible.
   Other directories, such as Alternative, Classical, Electronic, etc.,
   will not be visible.

Notes: 
1) Please go to www.shoutcast.com
   One will see "Miss your old SHOUTcast Radio?
                  Classic SHOUTcast Radio 1.0"
   which is a link to classic.shoutcast.com

   classic.shoutcast.com is the webpages the streamtuner plugin,
   shoutcast.so, can parse.


Kludge workaround: Shoutcast still has the old web page format, understood
by the streamtuner's shoutcast.so plugin at url classic.shoutcast.com.

Placing an entry pointing www.shoutcast.com and shoutcast.com to the IP address
of classic.shoutcast.com in the /etc/hosts file causes streamtuner to use the old web pages, which shoutcast.so understands.

This is a kludge.  Hardcoding the IP address of something in the /etc/hosts file is unwise in case the IP address of classic.shoutcast.com changes.

Possible suggested short term workaround: Can we be allowed to specify the hostname to use so I could point shoutcast.so to classic.shoutcast.com.  I do not know how long shoutcast.com will maintain the webpages at classic.shoutcast.com so this cannot be considered a fix.

Suggested long term fix: have streamtuner's shoutcast.so plugin understand the new web page format.

Other notes:
1) I wanted to submit the bug upstream but couldn't figure out who
   maintains streamtuner or where the bugzilla for streamtuner was kept.
Comment 1 Matthias Haase 2008-09-16 11:03:55 EDT
Today I have patched streamtuner-0.99.99/src/plugins/shoutcast/southcast.c for a quick fix of the described problem...

With this patch included streamtuner uses always classic.southcast.com as his internal base url.

I will rebuild streamtuner on fedora build system tomorrow... Have to change my ssh key and some required setup stuff here...

Today you'll find patched streamtuner rpm for 368 arch within my yum enabled repo on

http://www.bennewitz.com/rpms/

within the next hour.
Comment 2 Fedora Update System 2008-09-17 08:24:14 EDT
streamtuner-0.99.99-21.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/streamtuner-0.99.99-21.fc8
Comment 3 Fedora Update System 2008-09-17 08:26:51 EDT
streamtuner-0.99.99-22.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/streamtuner-0.99.99-22.fc9
Comment 4 Fedora Update System 2008-09-24 20:02:11 EDT
streamtuner-0.99.99-22.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-09-24 20:03:13 EDT
streamtuner-0.99.99-21.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.